SHELL = @SHELL@
srcdir = @srcdir@
VPATH = @srcdir@
PLATFORM_DIR = $(srcdir)/..
CC = @CC@
.SUFFIXES:
.SUFFIXES: .c .o

PKG_CONFIG = @PKG_CONFIG@
LIBS = @LIBS@

CFLAGS = -I. -I$(srcdir) @CFLAGS@ `$(PKG_CONFIG) --cflags gtk+-2.0`
LDFLAGS = @LDFLAGS@ `$(PKG_CONFIG) --libs gtk+-2.0` ${LIBS}

############ Things to change for different programs

PROG = XDGStart

SRCS = dialogs.c main.c xdgautostart.c xxdgautostart.c

OBJECTS = dialogs.o main.o xdgautostart.o xxdgautostart.o

############ Things to keep the same

$(PROG): $(OBJECTS)
	$(CC) -o "$(PROG)" $(OBJECTS) $(LDFLAGS)
	mv "$(PROG)" "$(PLATFORM_DIR)"
	-(cd "$(PLATFORM_DIR)" && \
	 objcopy --only-keep-debug $(PROG) $(PROG).dbg && \
	 strip $(PROG) && \
	 objcopy --add-gnu-debuglink=$(PROG).dbg $(PROG))

clean:
	rm -f *.o Makefile.bak

depend:
	makedepend -- $(CFLAGS) -- $(SRCS)

Makefile: Makefile.in config.status
	./config.status

config.h: config.h.in
	./config.status

config.status: configure
	APP_DIR="$(srcdir)/.." $(srcdir)/configure

configure: configure.in
	cd $(srcdir) && autoconf
